# Uses of Enum Class
org.apache.sysds.runtime.instructions.cp.AggregateUnaryCPInstruction.AUType

Packages that use AggregateUnaryCPInstruction.AUType
Package
Description
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.matrix.operators

## Uses of AggregateUnaryCPInstruction.AUType in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return AggregateUnaryCPInstruction.AUType
Modifier and Type
Method
Description
`AggregateUnaryCPInstruction.AUType`
AggregateUnaryCPInstruction.`getAUType()`
`static AggregateUnaryCPInstruction.AUType`
AggregateUnaryCPInstruction.AUType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggregateUnaryCPInstruction.AUType[]`
AggregateUnaryCPInstruction.AUType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AggregateUnaryCPInstruction.AUType in org.apache.sysds.runtime.matrix.operators

Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type AggregateUnaryCPInstruction.AUType
Modifier
Constructor
Description
``
`CountDistinctOperator(AggregateUnaryCPInstruction.AUType opType, Types.Direction direction, IndexFunction indexFunction)`